<template>

  <v-row>
    <v-col xs="12" md="12">
      <p class="title">Your upcoming circles</p>
    </v-col>
    <v-col xs="12" md="4" v-for="(circle, index) in allCircles" :key="index">
      <circle-item :circle="circle" from="user-circles"/>
    </v-col>
  </v-row>

</template>

<script>
import { mapState, mapActions } from 'vuex'
import CircleItem from '@/components/Circle/CircleItem'

export default {
  components: {
    CircleItem
  },
  data: () => ({}),
  head() {
    return {
      title: {
        inner: 'Dashboard'
      }
    }
  },
  computed: {
    ...mapState('authentication', ['user']),
    ...mapState('circle', ['allCircles'])
  },
  mounted() {
    this.getUserCircles()
  },
  methods: {
    ...mapActions('circle', ['getUserCircles'])
  }
}
</script>

<style lang="scss" scoped></style>
